package com.heyu.api.alibaba.request.mm.order;


import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
public class VvToPackDTO {

    /***
     * 子订单号
     */
    private List<Long> tradeOrderLineIds;


    //包裹图片url
    private List<String> packageImageUrls;

    //订单追踪号
    private String trackNumber;

    //物流公司
    private String logisticsCompany;

    //发货地址
    private String shippingFrom;


    //运费
    private BigDecimal shippingAmount;


    public static void main(String[] args) {

        VvToPackDTO vvToPackDTO = new VvToPackDTO();
        List<Long> tradeOrderLineIds = new ArrayList<>();
        tradeOrderLineIds.add(6L);
        tradeOrderLineIds.add(7L);
        tradeOrderLineIds.add(8L);


        List<String> packageImageUrls = new ArrayList<>();
        packageImageUrls.add("ioewoie");
        packageImageUrls.add("ioewoi2");

        vvToPackDTO.setTrackNumber("3");
        vvToPackDTO.setTradeOrderLineIds(tradeOrderLineIds);
        vvToPackDTO.setPackageImageUrls(packageImageUrls);


        vvToPackDTO.setLogisticsCompany("顺丰");

        vvToPackDTO.setShippingFrom("浙江 ");
        vvToPackDTO.setShippingAmount(new BigDecimal("0.01"));
        System.out.println(JSON.toJSONString(vvToPackDTO));


    }

}


